Get Listing
curl --request GET \
--url https://api.depict.ai/v3/listings/{listing_id}import requests
url = "https://api.depict.ai/v3/listings/{listing_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.depict.ai/v3/listings/{listing_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"listing_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"listing_type": "long_tail_collection",
"show_in_breadcrumbs": true,
"show_in_quicklinks": true,
"image_urls": [
"<string>"
],
"title": "<string>",
"ancestors": [
{
"listing_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"listing_type": "long_tail_collection",
"show_in_breadcrumbs": true,
"show_in_quicklinks": true,
"image_urls": [
"<string>"
],
"title": "<string>",
"external_id": "<string>",
"slug": "<string>"
}
],
"siblings": [
{
"listing_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"listing_type": "long_tail_collection",
"show_in_breadcrumbs": true,
"show_in_quicklinks": true,
"image_urls": [
"<string>"
],
"title": "<string>",
"external_id": "<string>",
"slug": "<string>"
}
],
"children": [
{
"listing_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"listing_type": "long_tail_collection",
"show_in_breadcrumbs": true,
"show_in_quicklinks": true,
"image_urls": [
"<string>"
],
"title": "<string>",
"external_id": "<string>",
"slug": "<string>"
}
],
"content_blocks": [
{
"span_columns": 123,
"span_rows": 123,
"position": "left",
"row": 123,
"content": {
"url": "<string>",
"link": "<string>",
"text": "<string>",
"text_position": "bottom-center",
"type": "image"
}
}
],
"external_id": "<string>",
"slug": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Listing (v3)
Get Listing
GET
/
v3
/
listings
/
{listing_id}
Get Listing
Path Parameters
Query Parameters
Response
Successful Response
Depict ID of the listing.
Available options:
long_tail_collection, campaign, category, smart_pick, style, brand, look Show or hide this listing in navigation breadcrumbs.
Show or hide this listing in quicklinks.
List of image URLs for the listing.
Ordered list of ancestors of the listing, useful for navigation breadcrumbs.
Show child attributes
Show child attributes
Siblings of the listing, i.e. listings that share the same parent, INCLUDING the listing itself.
Show child attributes
Show child attributes
Children of the listing, i.e. listings that have the listing as their parent.
Show child attributes
Show child attributes
List of content blocks to be displayed on the listing page.
Show child attributes
Show child attributes
ID of the listing in the merchant PIM, CMS or similar.
Was this page helpful?

